> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user Information.



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml get /model-monitor/v2/api/auth/user/current
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/auth/user/current:
    summary: Get current user Information.
    get:
      tags:
        - Other
      summary: Get current user Information.
      operationId: getCurrentUser
      responses:
        '200':
          description: Successfully returned user information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
        '400':
          description: Bad request input data.
        '401':
          description: Unauthorized. The endpoint requires authentication.
        '403':
          description: Forbidden. The endpoint enforces authorization.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - {}
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    UserResponse:
      type: object
      description: User object
      required:
        - id
        - username
        - name
      properties:
        id:
          description: User Identifier
          type: string
        domino_id:
          description: Domino User Id
          type: string
        username:
          description: Username of the user
          type: string
        email:
          description: Email of the user
          type: string
          nullable: true
        name:
          description: Name of the user
          type: string
        permissions:
          $ref: '#/components/schemas/userPermissions'
    userPermissions:
      title: User Permissions
      description: Permissions metadata required for a user response
      type: object
      required:
        - canRegisterStandaloneModel
        - canEditGlobalMonitoringSettings
      properties:
        canRegisterStandaloneModel:
          description: Whether the user can register standalone models
          type: boolean
        canEditGlobalMonitoringSettings:
          description: Whether the user can edit global monitoring settings
          type: boolean
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````